!-------------------------------------------------
!interface module of gt2dlib
!-------------------------------------------------
module gt2dlib_interface
  interface
	subroutine g2fbl2(p,q,x00,x10,x01,x11,y00,y10,y01,y11,x,y)
      REAL,	intent(in) :: p,q
	  REAL, intent(out) :: x,y
      REAL,	intent(in) :: x00,x10,x01,x11
      REAL,	intent(in) :: y00,y10,y01,y11
    end subroutine
	subroutine g2ibl2(x,y,x00,x10,x01,x11,y00,y10,y01,y11,p,q)
      REAL,	intent(out) :: p,q
	  REAL, intent(in) :: x,y
      REAL,	intent(in) :: x00,x10,x01,x11
      REAL,	intent(in) :: y00,y10,y01,y11
    end subroutine
	subroutine g2fbli(p,q,z00,z10,z01,z11,z)
      REAL,	intent(in) :: p,q
	  REAL, intent(out) :: z
      REAL,	intent(in) :: z00,z10,z01,z11
    end subroutine
	subroutine g2fctr(ux,uy,tx,ty)
      REAL,	intent(in) :: ux,uy
	  REAL, intent(out) ::tx,ty
    end subroutine
	subroutine g2ictr(tx,ty,ux,uy)
      REAL,	intent(in) :: tx,ty
	  REAL, intent(out) :: ux,uy
    end subroutine
	subroutine g2qcti(lini)
      LOGICAL,	intent(out) :: lini
    end subroutine
	subroutine g2qctm(cxmine,cxmaxe,cymine,cymaxe)
      REAL,	intent(out) :: cxmine,cxmaxe,cymine,cymaxe
    end subroutine
	subroutine g2sctr(nx,ny,uxa,uya,cxa,cya)
      INTEGER,	intent(in) :: nx,ny
      REAL,dimension(nx),	intent(in) :: uxa
	  REAL,dimension(ny),	intent(in) :: uya
      REAL,dimension(nx,ny),intent(in) :: cxa,cya
    end subroutine
  end interface
end module
!gt2dlib library end ----
